Foxit PDF SDK

Classes | Namespaces | Typedefs | Enumerations | Functions
fs_basictypes.h File Reference

Header file for basic types definitions. More...

Go to the source code of this file.

## Classes
class | foxit::Base
class | foxit::DateTime
class | foxit::Exception
class | foxit::StringArray
class | foxit::WStringArray

## Namespaces
| foxit
| Foxit namespace.

## Typedefs
typedef uint32 | foxit::ARGB
| ARGB color type, 32 bits, ((b) | ((g) << 8) | ((r) << 16)) | ((a) << 24)
typedef FX_INT64 | foxit::FILESIZE
| File size. Support large file directly.
typedef CFX_ArrayTemplate< float > | foxit::FloatArray
| An array of float values.
typedef void * | foxit::FS_HANDLE
| Handle type.
typedef FX_INT16 | foxit::int16
| 16-bit signed integer.
typedef FX_INT32 | foxit::int32
| 32-bit signed integer.
typedef CFX_ArrayTemplate< int32 > | foxit::Int32Array
| An array of signed integer values.
typedef FX_INT64 | foxit::int64
| Signed 64-bit integer.
typedef FX_INT8 | foxit::int8
| 8-bit signed integer.
typedef CFX_Matrix | foxit::Matrix
| Matrix information, in float.
typedef CFX_Object | foxit::Object
| Object type.
typedef PointF | foxit::Offset
| Offset information, in float.
typedef CFX_PointF | foxit::PointF
| Point information, in float.
typedef CFX_ArrayTemplate< PointF > | foxit::PointFArray
| An array of PointF objects.
typedef FX_POSITION | foxit::POSITION
| A value used to denote the position of an element in a collection.
typedef CFX_FloatRect | foxit::RectF
| Rectangle, in float.
typedef CFX_ArrayTemplate< RectF > | foxit::RectFArray
| An array of RectF objects.
typedef FX_RECT | foxit::RectI
| Rectangle, in integer.
typedef uint32 | foxit::RGB
| RGB color type, 24 bits, ((b) | ((g) << 8) | ((r) << 16)))
typedef CFX_ByteString | foxit::String
| Byte string.
typedef FX_UINT16 | foxit::uint16
| 16-bit unsigned integer.
typedef FX_UINT32 | foxit::uint32
| 32-bit unsigned integer.
typedef CFX_ArrayTemplate< uint32 > | foxit::UInt32Array
| An array of unsigned integer values.
typedef FX_UINT64 | foxit::uint64
| Unsigned 64-bit integer.
typedef FX_UINT8 | foxit::uint8
| 8-bit unsigned integer.
typedef CFX_WideString | foxit::WString
| Wide string.

## Enumerations
enum | foxit::ErrorCode { foxit::e_ErrSuccess = 0, foxit::e_ErrFile = 1, foxit::e_ErrFormat = 2, foxit::e_ErrPassword = 3, foxit::e_ErrHandle = 4, foxit::e_ErrCertificate = 5, foxit::e_ErrUnknown = 6, foxit::e_ErrInvalidLicense = 7, foxit::e_ErrParam = 8, foxit::e_ErrUnsupported = 9, foxit::e_ErrOutOfMemory = 10, foxit::e_ErrSecurityHandler = 11, foxit::e_ErrNotParsed = 12, foxit::e_ErrNotFound = 13, foxit::e_ErrInvalidType = 14, foxit::e_ErrConflict = 15, foxit::e_ErrUnknownState = 16, foxit::e_ErrDataNotReady = 17, foxit::e_ErrInvalidData = 18, foxit::e_ErrXFALoadError = 19, foxit::e_ErrNotLoaded = 20, foxit::e_ErrInvalidState = 21, foxit::e_ErrNotCDRM = 22, foxit::e_ErrCanNotConnectToServer = 23, foxit::e_ErrInvalidUserToken = 24, foxit::e_ErrNoRights = 25, foxit::e_ErrRightsExpired = 26, foxit::e_ErrDeviceLimitation = 27, foxit::e_ErrCanNotRemoveSecurityFromServer = 28, foxit::e_ErrCanNotGetACL = 29, foxit::e_ErrCanNotSetACL = 30, foxit::e_ErrIsAlreadyCPDF = 31, foxit::e_ErrIsAlreadyCDRM = 32, foxit::e_ErrCanNotUploadDocInfo = 33, foxit::e_ErrCanNotUploadCDRMInfo = 34, foxit::e_ErrInvalidWrapper = 35, foxit::e_ErrCanNotGetClientID = 36, foxit::e_ErrCanNotGetUserToken = 37, foxit::e_ErrInvalidACL = 38, foxit::e_ErrInvalidClientID = 39, foxit::e_ErrOCREngineNotInit = 40, foxit::e_ErrDiskFull = 41, foxit::e_ErrOCRTrialIsEnd = 42, foxit::e_ErrFilePathNotExist = 43, foxit::e_ErrComplianceEngineNotInit = 44, foxit::e_ErrComplianceEngineInvalidUnlockCode = 45, foxit::e_ErrComplianceEngineInitFailed = 46, foxit::e_ErrTimeStampServerMgrNotInit = 47, foxit::e_ErrLTVVerifyModeNotSet = 48, foxit::e_ErrLTVRevocationCallbackNotSet = 49, foxit::e_ErrLTVCannotSwitchVersion = 50, foxit::e_ErrLTVCannotCheckDTS = 51, foxit::e_ErrLTVCannotLoadDSS = 52, foxit::e_ErrLTVCannotLoadDTS = 53, foxit::e_ErrNeedSigned = 54, foxit::e_ErrComplianceResourceFile = 55, foxit::e_ErrTimeStampServerMgrNoDefaltServer = 56, foxit::e_ErrDefaultTimeStampServer = 57, foxit::e_ErrNoConnectedPDFModuleRight = 58, foxit::e_ErrNoXFAModuleRight = 59, foxit::e_ErrNoRedactionModuleRight = 60, foxit::e_ErrNoRMSModuleRight = 61, foxit::e_ErrNoOCRModuleRight = 62, foxit::e_ErrNoComparisonModuleRight = 63, foxit::e_ErrNoComplianceModuleRight = 64, foxit::e_ErrNoOptimizerModuleRight = 65, foxit::e_ErrNoConversionModuleRight = 66, foxit::e_ErrOfficeComNotInit = 67, foxit::e_ErrNoMicroOfficeInstalled = 68, foxit::e_ErrExcelHasNoContent = 69, foxit::e_ErrNoLayoutRecognitionModuleRight = 70, foxit::e_ErrWPSEngineNotFound = 71, foxit::e_ErrLibreofficeEngineNotFound = 72, foxit::e_ErrNoAccessibilityModuleRight = 73, foxit::e_ErrODAEngineNotFound = 74, foxit::e_ErrNoTableMakerModuleRight = 75, foxit::e_ErrNoDWG2PDFModuleRight = 76, foxit::e_ErrNoAdvEditModuleRight = 77, foxit::e_ErrNoPDF2OfficeModuleRight = 78, foxit::e_ErrURLInBlackList = 79, foxit::e_ErrOFDEngineNotInit = 80, foxit::e_ErrNoOFDModuleRight = 81, foxit::e_ErrNo3DModuleRight = 82, foxit::e_ErrInvalidRegex = 83, foxit::e_ErrNoDocumentPermission = 84, foxit::e_ErrNoOffice2PDFModuleRight = 85, foxit::e_ErrMIPUPEEngineInitFailed = 86, foxit::e_ErrMIPProtectionEngineInitFailed = 87, foxit::e_ErrMIPCreateProtectionHandlerFailed = 88, foxit::e_ErrMIPGetExtendedLabelInfoByIdFailed = 89, foxit::e_ErrNoPrint2PDFModuleRight = 90, foxit::e_ErrResponseDataError = 91, foxit::e_ErrTimeout = 92, foxit::e_ErrNoImageObject = 93, foxit::e_ErrFXOCREngineNotInit = 94 }
| Enumeration for error code. More...

## Functions
CFX_ByteString | FX_UTF8Encode (const wchar_t *wstr)
| Convert wide string to UTF-8 encoding byte string. More...
bool | operator!= (const char *str1, const CFX_ByteString &str2)
| Check if two byte strings are not equal. More...
std::ostream & | operator<< (std::ostream &os, const CFX_ByteString &str)
| Output byte string to std::ostream. More...
std::wostream & | operator<< (std::wostream &os, const CFX_WideString &str)
| Output wide string to std::wostream. More...
bool | operator== (const char *str1, const CFX_ByteString &str2)
| Check if two byte strings are equal. More...

## Detailed Description

Header file for basic types definitions.

Copyright (C) 2003-2026, Foxit Software Inc.. All Rights Reserved.

http://www.foxitsoftware.com

The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to distribute any parts of Foxit PDF SDK to third party or public without permission unless an agreement is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.

## Function Documentation

## ◆ FX_UTF8Encode()

CFX_ByteString FX_UTF8Encode | ( | const wchar_t * | wstr | ) |
| inline

Convert wide string to UTF-8 encoding byte string.

Parameters

  [in] | wstr | Wide string.

Returns
  A UTF-8 encoding byte string.

## ◆ operator!=()

bool operator!= | ( | const char * | str1,
|  | const CFX_ByteString & | str2
| ) |  |
| inline

Check if two byte strings are not equal.

Parameters

  [in] | str1 | A byte string.
  [in] | str2 | A CFX_ByteString object.

Returns
  true means not equal, while false means equal.

## ◆ operator<<() [1/2]

std::ostream& operator<< | ( | std::ostream & | os,
|  | const CFX_ByteString & | str
| ) |  |
| inline

Output byte string to std::ostream.

Parameters

  [in] | os | A std::ostream object.
  [in] | str | A CFX_ByteString object.

Returns
  A reference to the input std::ostream.

## ◆ operator<<() [2/2]

std::wostream& operator<< | ( | std::wostream & | os,
|  | const CFX_WideString & | str
| ) |  |
| inline

Output wide string to std::wostream.

Parameters

  [in] | os | A std::wostream object.
  [in] | str | A CFX_WideString object.

Returns
  A reference to the input std::wostream.

## ◆ operator==()

bool operator== | ( | const char * | str1,
|  | const CFX_ByteString & | str2
| ) |  |
| inline

Check if two byte strings are equal.

Parameters

  [in] | str1 | A byte string.
  [in] | str2 | A CFX_ByteString object.

Returns
  true means equal, while false means not equal.